Subject: Re: Totaly OT: DMV

From: "Steve Jones" <[email-masked]>
Date: Wed Jun 11 10:41:00 2003

> The MA [ == Massachusetts ] RMV, OTOH, made me sign up *5 weeks* in
> ...
> That was about 10 years ago, though, and I think they're doing much
> better now.

They are indeed. Since I moved back from Manhattan (late '98) I've
rarely had to wait more than 10 minutes for anything. In this period
I've been in there quite a few times registering two different cars,
taking the test for a motorcycle permit, registering a bike, etc. 

It's still a gummint bureaucracy, but I have to say it's not a half
bad service they're running these days.

--Steve.

smj(at)spamfree.crash.com   (lose spamfree to get through, m'kay?)